create_polygon#

Modeler3DLayout.create_polygon(layer, point_list, units=None, name=None, net=None)[source]#

Create a polygon on a specified layer.

Parameters:
layerstr

Name of the layer.

point_listlist

Origin of the coordinate system in a list of [x, y] coordinates.

unitsstr, optional

Polygon units. Default is modeler units.

namestr, optional

Name of the rectangle. The default is None, in which case the default name is assigned.

netstr, optional

Name of the net. The default is None, in which case the default name is assigned.

Returns:
pyaedt.modeler.cad.object3dlayout.Polygons3DLayout

Object of the rectangle created when successful.

References

>>> oEditor.CreatePolygon